diff --git a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITStubs.h b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITStubs.h
index 43975ff..4cc9972 100644
--- a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITStubs.h
+++ b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITStubs.h
@@ -204,6 +204,10 @@ namespace JSC {
     #endif
 #endif
 
+#if !defined(JIT_STUB_NAME)
+#define JIT_STUB_NAME(name) name
+#endif
+
 #if PLATFORM(X86_64)
     struct VoidPtrPair {
         void* first;
@@ -221,9 +225,9 @@ namespace JSC {
     #define RETURN_POINTER_PAIR(a,b) VoidPtrPairUnion pair = {{ a, b }}; return pair.i
 #endif
 
-    extern "C" void ctiVMThrowTrampoline();
-    extern "C" void ctiOpThrowNotCaught();
-    extern "C" EncodedJSValue ctiTrampoline(void* code, RegisterFile*, CallFrame*, JSValue* exception, Profiler**, JSGlobalData*);
+    extern "C" void JIT_STUB_NAME(ctiVMThrowTrampoline)();
+    extern "C" void JIT_STUB_NAME(ctiOpThrowNotCaught)();
+    extern "C" EncodedJSValue JIT_STUB_NAME(ctiTrampoline)(void* code, RegisterFile*, CallFrame*, JSValue* exception, Profiler**, JSGlobalData*);
 
     class JITThunks {
     public:
@@ -247,120 +251,120 @@ namespace JSC {
     };
 
 extern "C" {
-    EncodedJSValue JIT_STUB cti_op_add(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_bitand(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_bitnot(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_bitor(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_bitxor(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_call_NotJSFunction(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_call_eval(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_construct_NotJSConstruct(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_convert_this(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_del_by_id(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_del_by_val(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_div(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_id(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_id_array_fail(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_id_generic(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_id_method_check(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_id_proto_fail(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_id_proto_list(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_id_proto_list_full(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_id_self_fail(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_id_string_fail(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_val(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_val_byte_array(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_get_by_val_string(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_in(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_instanceof(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_is_boolean(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_is_function(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_is_number(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_is_object(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_is_string(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_is_undefined(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_less(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_lesseq(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_lshift(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_mod(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_mul(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_negate(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_next_pname(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_not(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_nstricteq(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_post_dec(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_post_inc(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_pre_dec(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_pre_inc(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_resolve(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_resolve_base(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_resolve_global(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_resolve_skip(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_resolve_with_base(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_rshift(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_strcat(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_stricteq(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_sub(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_throw(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_to_jsnumber(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_to_primitive(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_typeof(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_op_urshift(STUB_ARGS_DECLARATION);
-    EncodedJSValue JIT_STUB cti_vm_throw(STUB_ARGS_DECLARATION);
-    JSObject* JIT_STUB cti_op_construct_JSConstruct(STUB_ARGS_DECLARATION);
-    JSObject* JIT_STUB cti_op_new_array(STUB_ARGS_DECLARATION);
-    JSObject* JIT_STUB cti_op_new_error(STUB_ARGS_DECLARATION);
-    JSObject* JIT_STUB cti_op_new_func(STUB_ARGS_DECLARATION);
-    JSObject* JIT_STUB cti_op_new_func_exp(STUB_ARGS_DECLARATION);
-    JSObject* JIT_STUB cti_op_new_object(STUB_ARGS_DECLARATION);
-    JSObject* JIT_STUB cti_op_new_regexp(STUB_ARGS_DECLARATION);
-    JSObject* JIT_STUB cti_op_push_activation(STUB_ARGS_DECLARATION);
-    JSObject* JIT_STUB cti_op_push_new_scope(STUB_ARGS_DECLARATION);
-    JSObject* JIT_STUB cti_op_push_scope(STUB_ARGS_DECLARATION);
-    JSObject* JIT_STUB cti_op_put_by_id_transition_realloc(STUB_ARGS_DECLARATION);
-    JSPropertyNameIterator* JIT_STUB cti_op_get_pnames(STUB_ARGS_DECLARATION);
-    VoidPtrPair JIT_STUB cti_op_call_arityCheck(STUB_ARGS_DECLARATION);
-    int JIT_STUB cti_op_eq(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_add)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_bitand)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_bitnot)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_bitor)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_bitxor)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_call_NotJSFunction)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_call_eval)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_construct_NotJSConstruct)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_convert_this)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_del_by_id)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_del_by_val)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_div)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_id)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_id_array_fail)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_id_generic)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_id_method_check)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_id_proto_fail)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_id_proto_list)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_id_proto_list_full)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_id_self_fail)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_id_string_fail)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_val)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_val_byte_array)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_get_by_val_string)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_in)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_instanceof)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_is_boolean)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_is_function)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_is_number)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_is_object)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_is_string)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_is_undefined)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_less)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_lesseq)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_lshift)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_mod)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_mul)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_negate)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_next_pname)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_not)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_nstricteq)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_post_dec)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_post_inc)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_pre_dec)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_pre_inc)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_resolve)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_resolve_base)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_resolve_global)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_resolve_skip)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_resolve_with_base)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_rshift)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_strcat)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_stricteq)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_sub)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_throw)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_to_jsnumber)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_to_primitive)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_typeof)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_op_urshift)(STUB_ARGS_DECLARATION);
+    EncodedJSValue JIT_STUB JIT_STUB_NAME(cti_vm_throw)(STUB_ARGS_DECLARATION);
+    JSObject* JIT_STUB JIT_STUB_NAME(cti_op_construct_JSConstruct)(STUB_ARGS_DECLARATION);
+    JSObject* JIT_STUB JIT_STUB_NAME(cti_op_new_array)(STUB_ARGS_DECLARATION);
+    JSObject* JIT_STUB JIT_STUB_NAME(cti_op_new_error)(STUB_ARGS_DECLARATION);
+    JSObject* JIT_STUB JIT_STUB_NAME(cti_op_new_func)(STUB_ARGS_DECLARATION);
+    JSObject* JIT_STUB JIT_STUB_NAME(cti_op_new_func_exp)(STUB_ARGS_DECLARATION);
+    JSObject* JIT_STUB JIT_STUB_NAME(cti_op_new_object)(STUB_ARGS_DECLARATION);
+    JSObject* JIT_STUB JIT_STUB_NAME(cti_op_new_regexp)(STUB_ARGS_DECLARATION);
+    JSObject* JIT_STUB JIT_STUB_NAME(cti_op_push_activation)(STUB_ARGS_DECLARATION);
+    JSObject* JIT_STUB JIT_STUB_NAME(cti_op_push_new_scope)(STUB_ARGS_DECLARATION);
+    JSObject* JIT_STUB JIT_STUB_NAME(cti_op_push_scope)(STUB_ARGS_DECLARATION);
+    JSObject* JIT_STUB JIT_STUB_NAME(cti_op_put_by_id_transition_realloc)(STUB_ARGS_DECLARATION);
+    JSPropertyNameIterator* JIT_STUB JIT_STUB_NAME(cti_op_get_pnames)(STUB_ARGS_DECLARATION);
+    VoidPtrPair JIT_STUB JIT_STUB_NAME(cti_op_call_arityCheck)(STUB_ARGS_DECLARATION);
+    int JIT_STUB JIT_STUB_NAME(cti_op_eq)(STUB_ARGS_DECLARATION);
 #if USE(JSVALUE32_64)
-    int JIT_STUB cti_op_eq_strings(STUB_ARGS_DECLARATION);
+    int JIT_STUB JIT_STUB_NAME(cti_op_eq_strings)(STUB_ARGS_DECLARATION);
 #endif
-    int JIT_STUB cti_op_jless(STUB_ARGS_DECLARATION);
-    int JIT_STUB cti_op_jlesseq(STUB_ARGS_DECLARATION);
-    int JIT_STUB cti_op_jtrue(STUB_ARGS_DECLARATION);
-    int JIT_STUB cti_op_load_varargs(STUB_ARGS_DECLARATION);
-    int JIT_STUB cti_op_loop_if_less(STUB_ARGS_DECLARATION);
-    int JIT_STUB cti_op_loop_if_lesseq(STUB_ARGS_DECLARATION);
-    int JIT_STUB cti_op_loop_if_true(STUB_ARGS_DECLARATION);
-    int JIT_STUB cti_timeout_check(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_create_arguments(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_create_arguments_no_params(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_debug(STUB_ARGS_DECLARATION);
+    int JIT_STUB JIT_STUB_NAME(cti_op_jless)(STUB_ARGS_DECLARATION);
+    int JIT_STUB JIT_STUB_NAME(cti_op_jlesseq)(STUB_ARGS_DECLARATION);
+    int JIT_STUB JIT_STUB_NAME(cti_op_jtrue)(STUB_ARGS_DECLARATION);
+    int JIT_STUB JIT_STUB_NAME(cti_op_load_varargs)(STUB_ARGS_DECLARATION);
+    int JIT_STUB JIT_STUB_NAME(cti_op_loop_if_less)(STUB_ARGS_DECLARATION);
+    int JIT_STUB JIT_STUB_NAME(cti_op_loop_if_lesseq)(STUB_ARGS_DECLARATION);
+    int JIT_STUB JIT_STUB_NAME(cti_op_loop_if_true)(STUB_ARGS_DECLARATION);
+    int JIT_STUB JIT_STUB_NAME(cti_timeout_check)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_create_arguments)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_create_arguments_no_params)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_debug)(STUB_ARGS_DECLARATION);
 #ifdef QT_BUILD_SCRIPT_LIB
-    void JIT_STUB cti_op_debug_catch(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_debug_return(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_debug_catch)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_debug_return)(STUB_ARGS_DECLARATION);
 #endif
-    void JIT_STUB cti_op_end(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_jmp_scopes(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_pop_scope(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_profile_did_call(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_profile_will_call(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_put_by_id(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_put_by_id_fail(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_put_by_id_generic(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_put_by_index(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_put_by_val(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_put_by_val_byte_array(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_put_getter(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_put_setter(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_ret_scopeChain(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_tear_off_activation(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_op_tear_off_arguments(STUB_ARGS_DECLARATION);
-    void JIT_STUB cti_register_file_check(STUB_ARGS_DECLARATION);
-    void* JIT_STUB cti_op_call_JSFunction(STUB_ARGS_DECLARATION);
-    void* JIT_STUB cti_op_switch_char(STUB_ARGS_DECLARATION);
-    void* JIT_STUB cti_op_switch_imm(STUB_ARGS_DECLARATION);
-    void* JIT_STUB cti_op_switch_string(STUB_ARGS_DECLARATION);
-    void* JIT_STUB cti_vm_lazyLinkCall(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_end)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_jmp_scopes)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_pop_scope)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_profile_did_call)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_profile_will_call)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_put_by_id)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_put_by_id_fail)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_put_by_id_generic)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_put_by_index)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_put_by_val)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_put_by_val_byte_array)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_put_getter)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_put_setter)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_ret_scopeChain)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_tear_off_activation)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_op_tear_off_arguments)(STUB_ARGS_DECLARATION);
+    void JIT_STUB JIT_STUB_NAME(cti_register_file_check)(STUB_ARGS_DECLARATION);
+    void* JIT_STUB JIT_STUB_NAME(cti_op_call_JSFunction)(STUB_ARGS_DECLARATION);
+    void* JIT_STUB JIT_STUB_NAME(cti_op_switch_char)(STUB_ARGS_DECLARATION);
+    void* JIT_STUB JIT_STUB_NAME(cti_op_switch_imm)(STUB_ARGS_DECLARATION);
+    void* JIT_STUB JIT_STUB_NAME(cti_op_switch_string)(STUB_ARGS_DECLARATION);
+    void* JIT_STUB JIT_STUB_NAME(cti_vm_lazyLinkCall)(STUB_ARGS_DECLARATION);
 } // extern "C"
 
 } // namespace JSC
diff --git a/src/script/script.pro b/src/script/script.pro
index 008c556..858c4ff 100644
--- a/src/script/script.pro
+++ b/src/script/script.pro
@@ -1,7 +1,10 @@
 TARGET     = QtScript
 QPRO_PWD   = $$PWD
 QT         = core
-DEFINES   += JSC=QTJSC jscyyparse=qtjscyyparse jscyylex=qtjscyylex jscyyerror=qtjscyyerror
+
+MYDEFINE = "\"JIT_STUB_NAME(name)=QTJSC_\\"$$LITERAL_HASH"\\"$$LITERAL_HASH"name\""
+DEFINES   += JSC=QTJSC jscyyparse=qtjscyyparse jscyylex=qtjscyylex jscyyerror=qtjscyyerror $$MYDEFINE JIT_STUB_PREFIX_STRING=\"\\\"QTJSC\\\"\"
+
 DEFINES   += QT_BUILD_SCRIPT_LIB
 DEFINES   += QT_NO_USING_NAMESPACE
 DEFINES   += QLALR_NO_QSCRIPTGRAMMAR_DEBUG_INFO
